## imcode.util
Class IdLocalizedNamePair

    java.lang.Object
      imcode.util.IdLocalizedNamePair

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DocumentTypeDomainObject, PhoneNumberType

    public class IdLocalizedNamePair

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`IdLocalizedNamePair(int id, LocalizedMessage name)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getId()`
`LocalizedMessage` `getName()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdLocalizedNamePair

    public IdLocalizedNamePair(int id,
                               LocalizedMessage name)

Method Detail

### getId

    public int getId()

### getName

    public LocalizedMessage getName()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`